osl::eval::ml::PiecePair::IndexTable Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | List of all members
osl::eval::ml::PiecePair::IndexTable Struct Reference

`#include <piecePair.h>`

Inheritance diagram for osl::eval::ml::PiecePair::IndexTable:
[legend]
Collaboration diagram for osl::eval::ml::PiecePair::IndexTable:
[legend]

## Public Member Functions
| IndexTable ()
void | fillBW (int index, int dir, Ptype p0, Ptype p1)
void | fillSame (int index, int dir, Ptype p0, Ptype p1)
| for same owner More...
void | fillDiffer (int index, int dir, Ptype p0, Ptype p1)
| for different owner More...
void | amplify (int base)

## Static Public Member Functions
static int | pindex (Player player, Ptype ptype)

## Detailed Description

Definition at line 80 of file piecePair.h.

## Constructor & Destructor Documentation

osl::eval::ml::PiecePair::IndexTable::IndexTable | ( | ) |  |

Definition at line 300 of file piecePair.cc.

## Member Function Documentation

void osl::eval::ml::PiecePair::IndexTable::amplify | ( | int | base) |  |

Definition at line 306 of file piecePair.cc.

References osl::PTYPEO_SIZE, and target.

void osl::eval::ml::PiecePair::IndexTable::fillBW | ( | int | index,
|  | int | dir,
|  | Ptype | p0,
|  | Ptype | p1
| ) |  |

Definition at line 324 of file piecePair.cc.

References osl::BLACK, osl::eval::ml::ppair::inv(), osl::eval::ml::ppair::pindex(), and osl::WHITE.

void osl::eval::ml::PiecePair::IndexTable::fillDiffer | ( | int | index,
|  | int | dir,
|  | Ptype | p0,
|  | Ptype | p1
| ) |  |

for different owner

Definition at line 339 of file piecePair.cc.

References osl::BLACK, osl::eval::ml::ppair::inv(), osl::eval::ml::ppair::pindex(), and osl::WHITE.

Referenced by osl::eval::ml::ppair::makeTable().

void osl::eval::ml::PiecePair::IndexTable::fillSame | ( | int | index,
|  | int | dir,
|  | Ptype | p0,
|  | Ptype | p1
| ) |  |

for same owner

Definition at line 333 of file piecePair.cc.

References osl::eval::ml::ppair::inv().

Referenced by osl::eval::ml::ppair::makeTable().

static int osl::eval::ml::PiecePair::IndexTable::pindex | ( | Player | player,
|  | Ptype | ptype
| ) |  |
| inlinestatic

Definition at line 88 of file piecePair.h.

References osl::newPtypeO(), and osl::ptypeOIndex().

Referenced by osl::eval::ml::ppair::pindex().

The documentation for this struct was generated from the following files:

- piecePair.h
- piecePair.cc